Bug 226900 - devel/libevent: fix build with libressl-devel
Summary: devel/libevent: fix build with libressl-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL: https://github.com/libevent/libevent/...
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-03-24 22:51 UTC by Piotr Kubaj
Modified: 2018-04-21 20:25 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mm)


Attachments
patch (4.15 KB, patch)
2018-03-24 22:51 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-03-24 22:51:56 UTC
Created attachment 191791 [details]
patch

The attached patch fixes building with LibreSSL 2.7.

It was tested with base OpenSSL 1.0.1 and LibreSSL 2.7. LibreSSL 2.6 is not affected by this patch.
Comment 1 Bernard Spil freebsd_committer 2018-04-02 17:53:33 UTC
Add upstream pull-request
Comment 2 Bernard Spil freebsd_committer 2018-04-05 10:10:24 UTC
Hi Martin,

The upstream project imported this patch into their sources.
https://github.com/libevent/libevent/commit/28b8075400c70b2d2da2ce07e590c2ec6d11783d

Can you have a look and add it to the FreeBSD ports tree? Last week LibreSSL 2.7.2 was released which is tagged STABLE and part of OpenBSD 6.3. This PR is blocking updating of the devel/libressl-devel port.

Thanks! Bernard.
Comment 3 commit-hook freebsd_committer 2018-04-21 19:40:29 UTC
A commit references this bug:

Author: brnrd
Date: Sat Apr 21 19:39:39 UTC 2018
New revision: 467904
URL: https://svnweb.freebsd.org/changeset/ports/467904

Log:
  devel/libevent: Fix build with LibreSSL 2.7

   - LibreSSL 2.7 implements most of OpenSSL 1.1 API

  PR:		226900
  Reported by:	Piotr Kubaj  <pkubaj anongoth pl>
  Approved by:	maintainer time-out

Changes:
  head/devel/libevent/files/patch-libressl